<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("../compra/cCompra.php");

$oCompra = new cCompra();



class ElementoAutocompletar {

	var $value;

	var $label;

	var $catid;

	var $codbar;

	var $nroser;

	var $uni;



	function __construct($label, $value,$catid,$codbar,$nroser,$uni){

		$this->label = $label;

		$this->value = $value;

		$this->catid = $catid;

		$this->codbar = $codbar;

		$this->nroser = $nroser;

		$this->uni = $uni;

	}

}



$datoBuscar = '%'.$_GET["term"].'%';

$est=1;

$lim=12;

$monid = 1;

$rs=$oCompra->autocomplet_productos($datoBuscar,$codbar,$est,$lim,$monid);



$arrayDatos = array();



while ($dt = mysqli_fetch_array($rs)){

	$largo=55;

	$producto=$dt["tb_producto_nom"];

	$n_producto=strlen($producto);



	$precio="S/. ".$dt["tb_catalogo_precos"];

	$n_precio=strlen($precio);

	

	$n_espacio=$largo-$n_producto-$n_precio-2;

	$espacio=" ".str_pad($ini,$n_espacio,"-")." ";



	$etiqueta= $dt["tb_producto_nroser"].' | '.$producto." | ".$dt["tb_unidad_abr"];

	

	$uni = '<option value='.$dt['tb_unidad_id_bas'].'>'.$dt['tb_unidad_nom'].'</option>'; 

	

	array_push($arrayDatos, new ElementoAutocompletar($etiqueta, $dt["tb_producto_nom"],$dt["tb_catalogo_id"],

	$dt['tb_presentacion_codbar'],$dt['tb_producto_nroser'],$uni));

}



print_r(json_encode($arrayDatos));

